Loading...
Searching...
No Matches
BALL::VIEW::ColorExtension2 Class Reference
Visualisation » Datatypes for the VIEW framework » Helper Base Classes for derived GeometricObject 's

`#include <BALL/VIEW/DATATYPE/colorExtensions.h>`

Inheritance diagram for BALL::VIEW::ColorExtension2:

## Public Member Functions

Constructors
| ColorExtension2 ()
| ColorExtension2 (const ColorExtension2 &color_extension)
virtual | ~ColorExtension2 ()
virtual void | clear ()
Assignment methods
void | set (const ColorExtension2 &color_extension)
const ColorExtension2 & | operator= (const ColorExtension2 &color_extension)
void | swap (ColorExtension2 &color_extension)
Accessors: inspectors and mutators
void | setColor2 (const ColorRGBA &color)
ColorRGBA & | getColor2 ()
const ColorRGBA & | getColor2 () const
void | getColor2 (ColorRGBA &color) const

## debuggers and diagnostics

virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Detailed Description

Base class for geometric objects that need two colors. It provides the derived class with methods for accessing these colors.

See also
  ColorRGBA
  ColorUnit

Definition at line 25 of file colorExtensions.h.

## Constructor & Destructor Documentation

## ColorExtension2() [1/2]

BALL::VIEW::ColorExtension2::ColorExtension2 | ( |  | ) |

Default Constructor. The colors are set to (0.0, 0.0, 0.0, 1.0).

## ColorExtension2() [2/2]

BALL::VIEW::ColorExtension2::ColorExtension2 | ( | const ColorExtension2 & | color_extension | ) |

Copy constructor.

## ~ColorExtension2()

virtual BALL::VIEW::ColorExtension2::~ColorExtension2 | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::ColorExtension2::clear | ( |  | ) |

virtual

Explicit default initialization. Set the colors of this colorExtension2 to the color (0.0, 0.0, 0.0, 1.0). Calls ColorRGBA::clear.

Reimplemented in BALL::VIEW::TwoColoredLine, and BALL::VIEW::TwoColoredTube.

## dump()

virtual void BALL::VIEW::ColorExtension2::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current state of this colorExtension2 to the output ostream s with dumping depth depth.

Parameters

  s | output stream where to output the state of this colorExtension2
  depth | the dumping depth

See also
  ColorRGBA::operator <<

Reimplemented in BALL::VIEW::TwoColoredLine, and BALL::VIEW::TwoColoredTube.

## getColor2() [1/3]

ColorRGBA & BALL::VIEW::ColorExtension2::getColor2 | ( |  | ) |

Mutable inspection of the second color of this colorExtension2.

## getColor2() [2/3]

const ColorRGBA & BALL::VIEW::ColorExtension2::getColor2 | ( |  | ) | const

Non-mutable inspection of the second color

## getColor2() [3/3]

void BALL::VIEW::ColorExtension2::getColor2 | ( | ColorRGBA & | color | ) | const

Inspection of the second color of this colorExtension2.

## operator=()

const ColorExtension2 & BALL::VIEW::ColorExtension2::operator= | ( | const ColorExtension2 & | color_extension | ) |

Assignment operator. Calls set.

## set()

void BALL::VIEW::ColorExtension2::set | ( | const ColorExtension2 & | color_extension | ) |

Assignment.

## setColor2()

void BALL::VIEW::ColorExtension2::setColor2 | ( | const ColorRGBA & | color | ) |

Change the second color

## swap()

void BALL::VIEW::ColorExtension2::swap | ( | ColorExtension2 & | color_extension | ) |

Swapping of colorExtensions.